Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 304375 - xorg-server - xkb - switch lang on key release
Summary: xorg-server - xkb - switch lang on key release
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo X packagers
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-10 19:31 UTC by Alon Bar-Lev
Modified: 2011-08-22 15:46 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xkb-switch-on-release.patch (1.7.3.901-0002-xkb-switch-on-release.patch,3.14 KB, patch)
2010-02-10 19:32 UTC, Alon Bar-Lev
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alon Bar-Lev 2010-02-10 19:31:50 UTC
Upstream bug [1]

Since 2004-07-14!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

When working with <Alt><Shift> language switch, one cannot use shortcuts with <Alt><Shift> as the language switch precede every other shortcut.

The patch solves this. While this was not accepted by upstream it applies cleanly to xorg-1.6.5 and the latest xorg-1.7.4.901 and solves 6 years issue for non English speakers.

Please consider adding.

Thanks!

[1] https://bugs.freedesktop.org/show_bug.cgi?id=865
Comment 1 Alon Bar-Lev 2010-02-10 19:32:22 UTC
Created attachment 219129 [details, diff]
xkb-switch-on-release.patch
Comment 2 Rémi Cardona gentoo-dev 2010-02-12 17:57:49 UTC
Please get it approved for git master and I'll make sure it hits 1.7 and/or 1.6.

Thanks
Comment 3 Alon Bar-Lev 2010-02-12 20:03:08 UTC
(In reply to comment #2)
> Please get it approved for git master and I'll make sure it hits 1.7 and/or
> 1.6.
> 
> Thanks
> 

This is the problem, upstream working on xkb2 and until then no solution.
Anyway, your decision... This bug good for reference.